<?
$result_receptor=mssql_query("SELECT receptores.* FROM receptores,cotizaciones WHERE cotizaciones.cve_cotizacion ='".$row_factura["cve_cotizacion"]."' AND receptores.csc=cotizaciones.cve_cliente",$conexion)or die("dibujar_notadecargo.php linea 2");
$row_receptor=mssql_fetch_assoc($result_receptor);
mssql_free_result($result_receptor);

$result_registros=mssql_query("SELECT * FROM cot_registros WHERE cve_cotizacion='".$row_factura["cve_cotizacion"]."'",$conexion);
$row_registros=mssql_fetch_assoc($result_registros);
mssql_free_result($result_registros);

$result_cotizacion=mssql_query("SELECT * FROM cotizaciones WHERE cve_cotizacion='".$row_factura["cve_cotizacion"]."'",$conexion);
$row_cotizacion=mssql_fetch_assoc($result_cotizacion);
mssql_free_result($result_cotizacion);

//$tipoCambio = ($row_factura['version']=="2.0")?$row_cotizacion["imp_tc"]:1; //  esquema 2012
$tipoCambio = $row_cotizacion["imp_tc"];
$result_complemento=mssql_query("SELECT * FROM conector_complemento WHERE cve_cotizacion='".$row_factura["cve_cotizacion"]."'",$conexion);
$row_complemento=mssql_fetch_assoc($result_complemento);
mssql_free_result($result_complemento);

$query_detalle="SELECT * FROM detalle_cotizacion WHERE cve_cotizacion='".$row_factura["cve_cotizacion"]."'";
$result_detalle=mssql_query($query_detalle,$conexion);
unset($data);$descto=0;$suma=0;$subtotal1=0;$i=0;$haydetalle=true;$haypedimentos=false;$haypedido=false;$haynorma=false;
while ($row_detalle=mssql_fetch_assoc($result_detalle))
{
$detalle_pedido = trim($row_detalle["pedido"]);
$detalle_gradonorma = trim($row_detalle["gradonorma"]);
  $data[]=array(
	$detalle_pedido, // PEDIDO
	$detalle_gradonorma,  // FECHA EXPEDICION
	$row_detalle['num_referencia'],			// CVE MOTIVO
	$row_detalle['des_comentarios_partida'],			// DESCRIPCIÓN DEL MOTIVO
	"$".number_format($row_detalle['imp_partida'],2), //"$".number_format($row_detalle['imp_partida']/$row_cotizacion["imp_tc"],2), 
	);
if(!empty($detalle_pedido))$haypedido=true;
if(!empty($detalle_gradonorma))$haynorma=true;
}
mssql_free_result($result_detalle);


//****************************** datos del emisor y de la factura *********************
$_1 = $row_factura["receptornombre"];// Nombre del receptor
$_2 = $row_factura['serie'];// serie

switch ($_2)
{
 CASE "NCA":$_3="NOTA DE CARGO";break;
 CASE "NCR":$_3="NOTA DE CRÉDITO";break;
 CASE "NAF":$_3="NOTA DE CARGO";break;
 CASE "NRF":$_3="NOTA DE CRÉDITO";break;
 CASE "FAN":$_3="FACTURA";break;
}

//$_3 = ($row_factura['tipodecomprobante']=="ingreso")?"NOTA DE CARGO":"NOTA DE CRÉDITO";
$_4 = intval($row_cotizacion['cve_cliente']); // Número de cliente
$_5 = $row_factura['fecha'];//fecha
$_6 = $row_factura['receptorrfc'];// RFC del cliente
$_7 = $row_factura['receptorcalle']." ".$row_factura['receptornoexterior']." ".$row_factura['receptornointerior']; //Calle numero
$_8 = $row_factura['xml'];// ARCHIVO XML
$_9 = $row_factura['folio'];//folio de la factura
$_10 = $row_factura['receptorcolonia'];//colonia
$_11 = $row_factura['receptorestado']; // estado
$_12 = $row_factura['receptormunicipio']; // Ciudad de expedición
// 26/08/2009 RDTC SolMan 4189
// Considera doble caracter Pipe para salto de línea en las leyendas
$_13 = str_replace("||","\n",$row_complemento['leyendas']); // SolMan 4189
$_14 = $row_factura['receptorcodigopostal'];// CP
$_15 = trim($row_factura['cve_cotizacion']); // Clave factura
$_16 = $row_factura['tipodecomprobante']; //Tipo de Comprobante
$_17 = $row_receptor['taxid']; //TAXID
$_18 = $row_factura['receptorlocalidad'];
$_19 = $row_factura['receptorpais'];// Pais del receptor
$_26 = $row_cotizacion['letras']; // Importe con letra
$_31 = $row_factura['sellodigital'];// Sello digital
$_32 = $row_factura['cadenaoriginal'];// Cadena Original
$_33 = $row_factura['noaprobacion'];// Número de aprobación
$_34 = $row_factura['anoaprobacion'];// Año de aprobación
$_35 = $row_factura['formadepago'];// forma de pago
$_36 = $row_factura['version']; //version
$_37 = $row_factura['nocertificado'];// Certificado
$_40 = "$".number_format($row_cotizacion['imp_subtotal'],2);//subtotal$_40 = "$".number_format($row_cotizacion['imp_subtotal']/$row_cotizacion["imp_tc"],2);//subtotal//  esquema 2012
$_41 = "$".number_format($row_cotizacion['imp_iva'],2);//iva$_41 = "$".number_format($row_cotizacion['imp_iva']/$row_cotizacion['imp_tc'],2);//iva//  esquema 2012
$_42 = "$".number_format($row_factura['total'],2);//total$_42 = "$".number_format($row_factura['total']/$row_cotizacion['imp_tc'],2);//total//  esquema 2012
$_43 = $row_registros['fecha'];//fecha y hora
$_44 = $row_registros['version'];//version
$_45 = $row_registros['serie'];//serie
$_46 = $row_registros['folio'];//folio
//$_47 = $row_registros['nocertificado'];//certificado de sello digital
$_48 = $row_registros['anoaprobacion'];//año de aprobación
$_49 = $row_registros['noaprobacion'];//número de arobación
$_50 = $row_registros['cadenaoriginal'];//cadena original
$_51 = $row_registros['sellodigital'];//sello digital
$_52 = $row_registros['xml'];//xml  (CFD)
$_53 = $row_complemento['numerodeconsignatario']; // CLAVE CONSIGNATARIO
$_54 = $row_complemento['numentrega']; // NUM ENTREGA
$_55 = $row_complemento['nombreconsignatario']; // CONSIGNATARIO
$_56 = $row_complemento['nombrecltefinal']; //CLIENTE FINAL
$_57 = $row_complemento['numtransporte']; // NUM. TRANSPORTE
$_58 = $row_complemento['numero']; // NUMERO
$_59 = $row_complemento['fechaemision']; // FECHA DE EMISION
$_60 = $row_complemento['numunidad']; // NUM. UNIDAD
$_61 = $row_complemento['lineatrasnportista']; // LINEA TRANSPORTISTA
$_62 = $row_complemento['fechafactura']; // FECHA
$_63 = $row_complemento['via']; // VIA
$_64 = $row_complemento['condicionflete']; // CONDICION DE FLETE
$_65 = $row_complemento['fechaentrega']; // FECHA ENTREGA
$_66 = $row_complemento['tipodecambio']; // TIPO DE CAMBIO
$_67 = $row_complemento['aduana']; // ADUANA
$_68 = $row_complemento['pesoreal']; // PESO REAL
$_69 = $row_complemento['destino']; // DESTINO
$_70 = $row_complemento['condiciondeventa']; // CONDICIÓN DE VENTA
$_71 = $row_complemento['centro']; // CENTRO
$_72 = $row_complemento['almacen']; // ALMACEN
$_73 = $row_complemento['tipovalorizacion']; // TIPO DE VALORIZACIÓN (VALORIZADO EN....)
$_74 = $row_complemento['tipomoneda']; // VALOR EN MONEDA (PRECIO UNITARIO EN......)
$_75 = $row_complemento['numeroclientefinal']; // NUMERO DE CLIENTE FINAL
$_76 = $row_complemento['direccion1consig']; // DIRECCION 1 DEL CONSIGNATARIO
$_77 = $row_complemento['direccioncltefinal']; // DIRECCIÍN 1 DEL CLIENTE FINAL
$_78 = $row_complemento['direccion2consig']; // DIRECCION 2 DEL CONSIGNATARIO
$_79 = $row_complemento['direccion2cltefinal']; // DIRECCION 2 DEL CLIENTE FINAL
$_80 = $row_complemento['coloniacltefinal']; // COLONIA DEL CLIENTE FINAL
$_81 = $row_complemento['ciudadedopaisconsig']; // CIUDAD, ESTADO Y PAIS DEL CONSIGNATARIO
$_82 = $row_complemento['rfcclientefinal']; // RFC DEL CLIENTE FINAL
$_83 = $row_complemento['condiciondepago']; // CONDICION DE PAGO
$_84 = $row_complemento['cliente_proveedor']; //CLIENTE PROVEEDOR
$_85 = $row_complemento['metroscububicos']; // METROS CUBICOS
$_86 = $row_complemento['totalcantidadvalorizada']; // TOTAL CANTIDAD VALORIZADA
$_87 = $row_complemento['totaltoneladas']; // TOTAL TONELADAS
$_88 = $row_registros['emisornombre']; // EXPEDIDO EN:
$_89 = $row_registros['expedidocalle']; // EXPEDIDO CALLE
$_90 = $row_registros['expedidonoexterior']; // EXPEDIDO NUM EXTERIOR
$_91 = $row_registros['expedidonointerior']; // EXPEDIDO NUM INTERIOR
$_92 = $row_registros['expedidocolonia']; // EXPEDIDO COLONIA
$_93 = $row_registros['expedidolocalidad']; // EXPEDIDO LOCALIDAD
$_94 = $row_registros['expedidoreferencia']; // EXPEDIDO REFERENCIA
$_95 = $row_registros['expedidomunicipio']; // EXPEDIDO MUNICIPIO
$_96 = $row_registros['expedidoestado']; // EXPEDIDO ESTADO
$_97 = $row_registros['expedidopais']; // EXPEDIDO PAIS
$_98 = $row_registros['expedidocodigopostal']; // EXPEDIDO CODIGO POSTAL
$_99 = $row_complemento['zona'];// ZONA
$_100 = $row_complemento['referencia'];// REFERENCIA
$_101 = '$'.number_format($row_complemento['valor_subtotal1'],2); // SUBTOTAL 1$_101 = '$'.number_format($row_complemento['valor_subtotal1']/$row_cotizacion['imp_tc'],2); // SUBTOTAL 1//  esquema 2012
$_102 = '$'.number_format($row_complemento['valor_subtotal2'],2); // SUBTOTAL 2
$_103 = '$'.number_format($row_cotizacion['imp_iva'],2); // IVA$_103 = '$'.number_format($row_cotizacion['imp_iva']/$row_cotizacion['imp_tc'],2); // IVA//  esquema 2012
$_104 = '$'.number_format($row_complemento['datovalormaterial_c_iva'],2); // VALOR MATERIAL
$_105 = '$'.number_format($row_complemento['valorseguro'],2); // SEGURO
$_106 = '$'.number_format($row_complemento['valorflete'],2); // FLETE
$_107 = number_format($row_cotizacion['imp_retencion'],2); // IVA RETENIDO$_107 = number_format($row_cotizacion['imp_retencion']/$row_cotizacion['imp_tc'],2); // IVA RETENIDO//  esquema 2012
$_110 = ($row_factura['serie']!="NCR")?"":"VALOR MATERIAL 16%"; // LEYENDA "VALOR MATERIAL"
$_111 = ($row_factura['serie']!="NCR")?"":"SEGURO"; // LEYENDA "SEGURO"
$_112 = ($row_factura['serie']!="NCR")?"":"FLETE"; // LEYENDA "FLETE"
$_113 = ($row_factura['serie']!="NCR")?"":"OTROS"; //LEYENDA "OTROS"
$_114 = ($row_factura['serie']!="NCR")?"":'$'.number_format($row_complemento['datovalormaterial_c_iva'],2); // VALOR MATERIAL c iva
$_115 = ($row_factura['serie']!="NCR")?"":'$'.number_format($row_complemento['valorseguro'],2); // SEGURO
$_116 = ($row_factura['serie']!="NCR")?"":'$'.number_format($row_complemento['valorflete'],2); // FLETE
$_117 = ($row_factura['serie']!="NCR")?"":'$'.number_format($row_complemento['valotros'],2); // OTROS
$_118 = str_replace("|","\n",($row_complemento['expedidoen']));
$_119 = number_format($row_cotizacion['pct_iva'],0)."%";
$_120 = number_format($row_cotizacion['pct_retencion'],0)."%";
$_121 = ($row_factura['serie']!="NCR")?"":'$'.number_format($row_complemento['datovalormaterial_s_iva'],2); // VALOR MATERIAL s iva
$_122 = ($row_factura['serie']!="NCR")?"":"VALOR MATERIAL 0%";
$_123 = $row_cotizacion['metododepago']; // Método de Pago;
$_124 = $row_cotizacion['numctapago']; // Cuenta de Pago;
$_125 = "Régimen General de Ley Personas Morales";

$_126 = trim($row_factura['uuid']);
$_127 = "?re=".$row_factura['emisorrfc']."&rr=".$row_factura['receptorrfc']."&tt=".number_format($row_cotizacion['imp_total'],6,".","")."&id=$_126";
$_128 = $row_factura['fechatimbrado'];
$_129 = $row_factura['nocertificadosat'];
$_130 = $row_factura['sellosat'];
$ambiente=$ambiente;

require_once 'clase_notadecargo.php';
$pdf=new PDF('L','mm','Letter');

$pdf->AliasNbPages();
$pdf->setAutoPageBreak(true, 35);
$pdf->SetFont('Arial','',7);
$pdf->AddPage();
$pdf->SetFontSize(6);
$pdf->SetFillColor(201, 201, 201);
// $pdf->Rect(10,10,259.4,'185.9');

include 'qrcode.class.php';
$qrcode = new QRcode($_127);
$qrcode->disableBorder();


//$w = array(20,25,15,149.4,50);
$w = array(20,25,15,159.4,40);

$y = $pdf->GetY();

foreach($data as $detalle){
	$elpedido = ($haypedido)?$detalle[1]:"";

	$pdf->Cell($w[0],3,$detalle[0],0,0,'C');
	$pdf->Cell($w[1],3,$elpedido,0,0,'C');
	$pdf->Cell($w[2],3,$detalle[2],0,0,'L');
	$pdf->Cell($w[3],3,"",0,0,'L');
	$pdf->Cell($w[4],3,$detalle[4],0,0,'R');
	$pdf->SetX(10+$w[0]+$w[1]+$w[2]);
	$pdf->MultiCell($w[3],3,str_replace("|","\n",$detalle[3]),0,'L');
}

$pdf->SetY(123);
$y2 = $pdf->GetY();
// $pdf->Line(100,$y,10,$y2);
// $pdf->Line(100+$w[0],$y,10+$w[0],$y2);
// $pdf->Line(100+$w[0]+$w[1],$y,10+$w[0]+$w[1],$y2);


$pdf->SetFontSize(6.8);
$a = 2.5;
$pdf->Cell($w[0],$a,"",'LR',0,'R');
$pdf->Cell($w[1],$a,"",'LR',0,'R');
$pdf->Cell($w[2],$a,"",'LR',0,'R');
$pdf->Cell($w[3],$a,"$_110",'LR',0,'R');
$pdf->Cell(40,$a,"$_114",'LR',1,'R');
$pdf->Cell($w[0],$a,"",'LR',0,'R');
$pdf->Cell($w[1],$a,"",'LR',0,'R');
$pdf->Cell($w[2],$a,"",'LR',0,'R');
$pdf->Cell($w[3],$a,"$_122",'LR',0,'R');
$pdf->Cell(40,$a,"$_121",'LR',1,'R');


$pdf->Cell($w[0],$a,"",'LR',0,'R');
$pdf->Cell($w[1],$a,"",'LR',0,'R');
$pdf->Cell($w[2],$a,"",'LR',0,'R');
$pdf->Cell($w[3],$a,"$_111",'LR',0,'R');
$pdf->Cell(40,$a,"$_115",'LR',1,'R');
$pdf->Cell($w[0],$a,"",'LR',0,'R');
$pdf->Cell($w[1],$a,"",'LR',0,'R');
$pdf->Cell($w[2],$a,"",'LR',0,'R');
$pdf->Cell($w[3],$a,"$_112",'LR',0,'R');
$pdf->Cell(40,$a,"$_116",'LR',1,'R');
$pdf->Cell($w[0],$a,"",'LR',0,'R');
$pdf->Cell($w[1],$a,"",'LR',0,'R');
$pdf->Cell($w[2],$a,"",'LR',0,'R');
$pdf->Cell($w[3],$a,"$_113",'LR',0,'R');
$pdf->Cell(40,$a,"$_117",'LR',1,'R');
$pdf->Cell($w[0],$a,"",'LR',0,'R');
$pdf->Cell($w[1],$a,"",'LR',0,'R');
$pdf->Cell($w[2],$a,"",'LR',0,'R');
$pdf->Cell($w[3],$a,"SUBTOTAL 1",'LR',0,'R');
$pdf->Cell(40,$a,"$_101",'LR',1,'R');
$pdf->Cell($w[0],$a,"",'LR',0,'R');
$pdf->Cell($w[1],$a,"",'LR',0,'R');
$pdf->Cell($w[2],$a,"",'LR',0,'R');
$pdf->Cell($w[3],$a,"IVA REPERCUTIDO $_119",'LR',0,'R');
$pdf->Cell(40,$a,"$_103",'LR',1,'R');
$pdf->Cell($w[0],$a,"",'LR',0,'R');
$pdf->Cell($w[1],$a,"",'LR',0,'R');
$pdf->Cell($w[2],$a,"",'LR',0,'R');
$pdf->Cell($w[3],$a,"SUBTOTAL 2",'LR',0,'R');
$pdf->Cell(40,$a,"$_102",'LR',1,'R');
if ($_107>0){
	$pdf->Cell($w[0],$a,"",'LR',0,'R');
	$pdf->Cell($w[1],$a,"",'LR',0,'R');
	$pdf->Cell($w[2],$a,"",'LR',0,'R');
	$pdf->Cell($w[3],$a,"IVA RETENIDO $_120",'LR',0,'R');
	$pdf->Cell(40,$a,"$".$_107,'LR',1,'R');
}
$pdf->Cell(179,6,"VALOR (CON LETRA)",'LTR',0,'L');
$pdf->Cell(40.4,6,"",'T',0,'L');
$pdf->Cell(40,6,"",1,1,'R');

$pdf->Cell(179,6,"$_26",'LBR',0,'L');
$pdf->Cell(40.4,6,"TOTAL",'LR',0,'R');
$pdf->Cell(40,6,"$_42",1,1,'R');
$y = $pdf->GetY();
$pdf->SetXY(55,120);
$pdf->MultiCell(119,3,"$_13",0,'L');
$pdf->SetY($y);




?>